# Prediction API . hostedmodels

## Instance Methods

Submit input and request an output against a hosted model.

### Method Details

`predict(hostedModelName, body)`

    Submit input and request an output against a hosted model.

    Args:
      hostedModelName: string, The name of a hosted model. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "input": { # Input to the model for a prediction
          "csvInstance": [ # A list of input features, these can be strings or doubles.
            "",
          ],
        },
      }

    Returns:
      An object of the form:

        {
        "kind": "prediction#output", # What kind of resource this is.
        "outputLabel": "A String", # The most likely class label [Categorical models only].
        "id": "A String", # The unique name for the predictive model.
        "outputMulti": [ # A list of class labels with their estimated probabilities [Categorical models only].
          {
            "score": 3.14, # The probability of the class label.
            "label": "A String", # The class label.
          },
        ],
        "outputValue": 3.14, # The estimated regression value [Regression models only].
        "selfLink": "A String", # A URL to re-request this resource.
      }